from setuptools import setup, find_packages

setup(
    name="ur_material",            
    version="0.1.3",               
    packages=find_packages(where="src"), 
    package_dir={"": "src"},      
    install_requires=[        
        "numpy==1.26.4",
        "requests>=2.24.0",
        "aiofiles==24.1.0",
        "aiohappyeyeballs==2.4.4",
        "aiohttp==3.10.6",
        "aiosignal==1.3.2",
        "async-timeout==4.0.3",
        "attrs==24.3.0",
        "augraphy==8.2.6",
        "azure-common==1.1.28",
        "azure-core==1.31.0",
        "azure-storage-blob==12.3.1",
        "biopython==1.84",
        "bounded-pool-executor==0.0.3",
        "cairocffi==1.7.1",
        "CairoSVG==2.7.1",
        "certifi==2024.12.14",
        "cffi==1.17.1",
        "charset-normalizer==3.4.0",
        "contourpy==1.3.0",
        "cryptography==44.0.0",
        "cssselect2==0.7.0",
        "cycler==0.12.1",
        "defusedxml==0.7.1",
        "fonttools==4.55.3",
        "frozenlist==1.5.0",
        "html5lib==1.1",
        "idna==3.10",
        "imageio==2.36.1",
        "imgaug==0.4.0",
        "importlib_resources==6.4.5",
        "isodate==0.7.2",
        "Jinja2==2.11.1",
        "joblib==1.4.2",
        "kiwisolver==1.4.7",
        "lazy_loader==0.4",
        "llvmlite==0.43.0",
        "MarkupSafe==3.0.2",
        "matplotlib==3.9.2",
        "msrest==0.7.1",
        "multidict==6.1.0",
        "networkx==3.2.1",
        "numba==0.60.0",
        "numpy==1.26.4",
        "oauthlib==3.2.2",
        "opencv-python==4.10.0.84",
        "packaging==24.2",
        "pandas==2.2.2",
        "pillow==11.0.0",
        "pqdm==0.2.0",
        "propcache==0.2.1",
        "pycparser==2.22",
        "pyparsing==3.2.0",
        "pyphen==0.17.0",
        "python-dateutil==2.9.0.post0",
        "python-dotenv==1.0.1",
        "pytz==2024.2",
        "requests==2.32.2",
        "requests-oauthlib==2.0.0",
        "scikit-image==0.24.0",
        "scikit-learn==1.6.0",
        "scipy==1.13.1",
        "shapely==2.0.6",
        "six==1.17.0",
        "threadpoolctl==3.5.0",
        "tifffile==2024.8.30",
        "tinycss2==1.4.0",
        "tqdm==4.43.0",
        "typing_extensions==4.12.2",
        "tzdata==2024.2",
        "urllib3==2.2.3",
        "WeasyPrint==51",
        "webencodings==0.5.1",
        "yarl==1.18.3",
        "zipp==3.21.0"
    ],
    include_package_data=True,       
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    long_description=open('README.md').read(),  
    long_description_content_type="text/markdown",  
)